diff --git a/gcc/tree-ssa-structalias.c b/gcc/tree-ssa-structalias.c
index 5b093e4..6f3a4ce 100644
--- a/gcc/tree-ssa-structalias.c
+++ b/gcc/tree-ssa-structalias.c
@@ -2877,10 +2877,10 @@ get_constraint_for_ssa_var (tree t, vec<ce_s> *results, bool address_p)
       && (TREE_STATIC (t) || DECL_EXTERNAL (t)))
     {
       struct varpool_node *node = varpool_get_node (t);
-      if (node && node->symbol.alias && node->symbol.analyzed)
+      if (node && node->alias && node->analyzed)
 	{
 	  node = varpool_variable_node (node, NULL);
-	  t = node->symbol.decl;
+	  t = node->decl;
 	}
     }
 
@@ -5754,7 +5754,7 @@ create_variable_info_for (tree decl, const char *name)
 	  /* If this is a global variable with an initializer and we are in
 	     IPA mode generate constraints for it.  */
 	  if (DECL_INITIAL (decl)
-	      && vnode->symbol.definition)
+	      && vnode->definition)
 	    {
 	      vec<ce_s> rhsc = vNULL;
 	      struct constraint_expr lhs, *rhsp;
@@ -7060,9 +7060,9 @@ struct pt_solution ipa_escaped_pt
 static bool
 associate_varinfo_to_alias (struct cgraph_node *node, void *data)
 {
-  if ((node->symbol.alias || node->thunk.thunk_p)
-      && node->symbol.analyzed)
-    insert_vi_for_tree (node->symbol.decl, (varinfo_t)data);
+  if ((node->alias || node->thunk.thunk_p)
+      && node->analyzed)
+    insert_vi_for_tree (node->decl, (varinfo_t)data);
   return false;
 }
 
@@ -7097,18 +7097,18 @@ ipa_pta_execute (void)
 
       gcc_assert (!node->clone_of);
 
-      vi = create_function_info_for (node->symbol.decl,
-			             alias_get_name (node->symbol.decl));
+      vi = create_function_info_for (node->decl,
+			             alias_get_name (node->decl));
       cgraph_for_node_and_aliases (node, associate_varinfo_to_alias, vi, true);
     }
 
   /* Create constraints for global variables and their initializers.  */
   FOR_EACH_VARIABLE (var)
     {
-      if (var->symbol.alias && var->symbol.analyzed)
+      if (var->alias && var->analyzed)
 	continue;
 
-      get_vi_for_tree (var->symbol.decl);
+      get_vi_for_tree (var->decl);
     }
 
   if (dump_file)
@@ -7133,32 +7133,32 @@ ipa_pta_execute (void)
 	{
 	  fprintf (dump_file,
 		   "Generating constraints for %s", cgraph_node_name (node));
-	  if (DECL_ASSEMBLER_NAME_SET_P (node->symbol.decl))
+	  if (DECL_ASSEMBLER_NAME_SET_P (node->decl))
 	    fprintf (dump_file, " (%s)",
 		     IDENTIFIER_POINTER
-		       (DECL_ASSEMBLER_NAME (node->symbol.decl)));
+		       (DECL_ASSEMBLER_NAME (node->decl)));
 	  fprintf (dump_file, "\n");
 	}
 
-      func = DECL_STRUCT_FUNCTION (node->symbol.decl);
+      func = DECL_STRUCT_FUNCTION (node->decl);
       push_cfun (func);
 
       /* For externally visible or attribute used annotated functions use
 	 local constraints for their arguments.
 	 For local functions we see all callers and thus do not need initial
 	 constraints for parameters.  */
-      if (node->symbol.used_from_other_partition
-	  || node->symbol.externally_visible
-	  || node->symbol.force_output)
+      if (node->used_from_other_partition
+	  || node->externally_visible
+	  || node->force_output)
 	{
 	  intra_create_variable_infos ();
 
 	  /* We also need to make function return values escape.  Nothing
 	     escapes by returning from main though.  */
-	  if (!MAIN_NAME_P (DECL_NAME (node->symbol.decl)))
+	  if (!MAIN_NAME_P (DECL_NAME (node->decl)))
 	    {
 	      varinfo_t fi, rvi;
-	      fi = lookup_vi_for_tree (node->symbol.decl);
+	      fi = lookup_vi_for_tree (node->decl);
 	      rvi = first_vi_for_offset (fi, fi_result);
 	      if (rvi && rvi->offset == fi_result)
 		{
@@ -7238,7 +7238,7 @@ ipa_pta_execute (void)
       if (!cgraph_function_with_gimple_body_p (node) || node->clone_of)
 	continue;
 
-      fn = DECL_STRUCT_FUNCTION (node->symbol.decl);
+      fn = DECL_STRUCT_FUNCTION (node->decl);
 
       /* Compute the points-to sets for pointer SSA_NAMEs.  */
       FOR_EACH_VEC_ELT (*fn->gimple_df->ssa_names, i, ptr)
@@ -7249,7 +7249,7 @@ ipa_pta_execute (void)
 	}
 
       /* Compute the call-use and call-clobber sets for all direct calls.  */
-      fi = lookup_vi_for_tree (node->symbol.decl);
+      fi = lookup_vi_for_tree (node->decl);
       gcc_assert (fi->is_fn_info);
       clobbers
 	= find_what_var_points_to (first_vi_for_offset (fi, fi_clobbers));
diff --git a/gcc/tree-vectorizer.c b/gcc/tree-vectorizer.c
index 82898c0..8e3190f 100644
--- a/gcc/tree-vectorizer.c
+++ b/gcc/tree-vectorizer.c
@@ -552,7 +552,7 @@ increase_alignment (void)
   /* Increase the alignment of all global arrays for vectorization.  */
   FOR_EACH_DEFINED_VARIABLE (vnode)
     {
-      tree vectype, decl = vnode->symbol.decl;
+      tree vectype, decl = vnode->decl;
       tree t;
       unsigned int alignment;
 
diff --git a/gcc/tree.c b/gcc/tree.c
index 0a42109..ecefee1 100644
--- a/gcc/tree.c
+++ b/gcc/tree.c
@@ -5009,7 +5009,7 @@ free_lang_data_in_decl (tree decl)
     {
       struct cgraph_node *node;
       if (!(node = cgraph_get_node (decl))
-	  || (!node->symbol.definition && !node->clones))
+	  || (!node->definition && !node->clones))
 	{
 	  if (node)
 	    cgraph_release_function_body (node);
@@ -5423,14 +5423,14 @@ find_decls_types_in_node (struct cgraph_node *n, struct free_lang_data_d *fld)
   unsigned ix;
   tree t;
 
-  find_decls_types (n->symbol.decl, fld);
+  find_decls_types (n->decl, fld);
 
-  if (!gimple_has_body_p (n->symbol.decl))
+  if (!gimple_has_body_p (n->decl))
     return;
 
   gcc_assert (current_function_decl == NULL_TREE && cfun == NULL);
 
-  fn = DECL_STRUCT_FUNCTION (n->symbol.decl);
+  fn = DECL_STRUCT_FUNCTION (n->decl);
 
   /* Traverse locals. */
   FOR_EACH_LOCAL_DECL (fn, ix, t)
@@ -5486,7 +5486,7 @@ find_decls_types_in_node (struct cgraph_node *n, struct free_lang_data_d *fld)
 static void
 find_decls_types_in_var (struct varpool_node *v, struct free_lang_data_d *fld)
 {
-  find_decls_types (v->symbol.decl, fld);
+  find_decls_types (v->decl, fld);
 }
 
 /* If T needs an assembler name, have one created for it.  */
diff --git a/gcc/value-prof.c b/gcc/value-prof.c
index fd993c4..7be54ce 100644
--- a/gcc/value-prof.c
+++ b/gcc/value-prof.c
@@ -1208,9 +1208,9 @@ init_node_map (bool local)
 			   " with nodes %s/%i %s/%i\n",
 			   n->profile_id,
 			   cgraph_node_name (n),
-			   n->symbol.order,
+			   n->order,
 			   symtab_node_name (*(symtab_node*)val),
-			   (*(symtab_node *)val)->symbol.order);
+			   (*(symtab_node *)val)->order);
 		n->profile_id = (n->profile_id + 1) & 0x7fffffff;
 	      }
 	  }
@@ -1221,7 +1221,7 @@ init_node_map (bool local)
 		       "Node %s/%i has no profile-id"
 		       " (profile feedback missing?)\n",
 		       cgraph_node_name (n),
-		       n->symbol.order);
+		       n->order);
 	    continue;
 	  }
 	else if ((val = pointer_map_contains (cgraph_node_map,
@@ -1232,7 +1232,7 @@ init_node_map (bool local)
 		       "Node %s/%i has IP profile-id %i conflict. "
 		       "Giving up.\n",
 		       cgraph_node_name (n),
-		       n->symbol.order,
+		       n->order,
 		       n->profile_id);
 	    *val = NULL;
 	    continue;
@@ -1273,7 +1273,7 @@ static bool
 check_ic_target (gimple call_stmt, struct cgraph_node *target)
 {
    location_t locus;
-   if (gimple_check_call_matching_types (call_stmt, target->symbol.decl, true))
+   if (gimple_check_call_matching_types (call_stmt, target->decl, true))
      return true;
 
    locus =  gimple_location (call_stmt);
@@ -1316,7 +1316,7 @@ gimple_ic (gimple icall_stmt, struct cgraph_node *direct_call,
   load_stmt = gimple_build_assign (tmp0, tmp);
   gsi_insert_before (&gsi, load_stmt, GSI_SAME_STMT);
 
-  tmp = fold_convert (optype, build_addr (direct_call->symbol.decl,
+  tmp = fold_convert (optype, build_addr (direct_call->decl,
 					  current_function_decl));
   load_stmt = gimple_build_assign (tmp1, tmp);
   gsi_insert_before (&gsi, load_stmt, GSI_SAME_STMT);
@@ -1328,8 +1328,8 @@ gimple_ic (gimple icall_stmt, struct cgraph_node *direct_call,
   gimple_set_vuse (icall_stmt, NULL_TREE);
   update_stmt (icall_stmt);
   dcall_stmt = gimple_copy (icall_stmt);
-  gimple_call_set_fndecl (dcall_stmt, direct_call->symbol.decl);
-  dflags = flags_from_decl_or_type (direct_call->symbol.decl);
+  gimple_call_set_fndecl (dcall_stmt, direct_call->decl);
+  dflags = flags_from_decl_or_type (direct_call->decl);
   if ((dflags & ECF_NORETURN) != 0)
     gimple_call_set_lhs (dcall_stmt, NULL_TREE);
   gsi_insert_before (&gsi, dcall_stmt, GSI_SAME_STMT);
@@ -1494,7 +1494,7 @@ gimple_ic_transform (gimple_stmt_iterator *gsi)
 	  fprintf (dump_file, "Indirect call -> direct call ");
 	  print_generic_expr (dump_file, gimple_call_fn (stmt), TDF_SLIM);
 	  fprintf (dump_file, "=> ");
-	  print_generic_expr (dump_file, direct_call->symbol.decl, TDF_SLIM);
+	  print_generic_expr (dump_file, direct_call->decl, TDF_SLIM);
 	  fprintf (dump_file, " transformation skipped because of type mismatch");
 	  print_gimple_stmt (dump_file, stmt, 0, TDF_SLIM);
 	}
@@ -1507,7 +1507,7 @@ gimple_ic_transform (gimple_stmt_iterator *gsi)
       fprintf (dump_file, "Indirect call -> direct call ");
       print_generic_expr (dump_file, gimple_call_fn (stmt), TDF_SLIM);
       fprintf (dump_file, "=> ");
-      print_generic_expr (dump_file, direct_call->symbol.decl, TDF_SLIM);
+      print_generic_expr (dump_file, direct_call->decl, TDF_SLIM);
       fprintf (dump_file, " transformation on insn postponned to ipa-profile");
       print_gimple_stmt (dump_file, stmt, 0, TDF_SLIM);
       fprintf (dump_file, "hist->count "HOST_WIDEST_INT_PRINT_DEC
diff --git a/gcc/varasm.c b/gcc/varasm.c
index e56ca1b..099992e 100644
--- a/gcc/varasm.c
+++ b/gcc/varasm.c
@@ -2357,7 +2357,7 @@ mark_decl_referenced (tree decl)
 	 definition.  */
       struct cgraph_node *node = cgraph_get_create_node (decl);
       if (!DECL_EXTERNAL (decl)
-	  && !node->symbol.definition)
+	  && !node->definition)
 	cgraph_mark_force_output_node (node);
     }
   else if (TREE_CODE (decl) == VAR_DECL)
@@ -2365,7 +2365,7 @@ mark_decl_referenced (tree decl)
       struct varpool_node *node = varpool_node_for_decl (decl);
       /* C++ frontend use mark_decl_references to force COMDAT variables
          to be output that might appear dead otherwise.  */
-      node->symbol.force_output = true;
+      node->force_output = true;
     }
   /* else do nothing - we can get various sorts of CST nodes here,
      which do not need to be marked.  */
@@ -5384,7 +5384,7 @@ find_decl (tree target)
 {
   symtab_node node = symtab_node_for_asm (target);
   if (node)
-    return node->symbol.decl;
+    return node->decl;
   return NULL_TREE;
 }
 
@@ -5669,9 +5669,9 @@ assemble_alias (tree decl, tree target)
 
   /* Allow aliases to aliases.  */
   if (TREE_CODE (decl) == FUNCTION_DECL)
-    cgraph_get_create_node (decl)->symbol.alias = true;
+    cgraph_get_create_node (decl)->alias = true;
   else
-    varpool_node_for_decl (decl)->symbol.alias = true;
+    varpool_node_for_decl (decl)->alias = true;
 
   /* If the target has already been emitted, we don't have to queue the
      alias.  This saves a tad of memory.  */
@@ -5774,12 +5774,12 @@ dump_tm_clone_pairs (vec<tm_alias_pair> tm_alias_pairs)
 	 TM_GETTMCLONE.  If neither of these are true, we didn't generate
 	 a clone, and we didn't call it indirectly... no sense keeping it
 	 in the clone table.  */
-      if (!dst_n || !dst_n->symbol.definition)
+      if (!dst_n || !dst_n->definition)
 	continue;
 
       /* This covers the case where we have optimized the original
 	 function away, and only access the transactional clone.  */
-      if (!src_n || !src_n->symbol.definition)
+      if (!src_n || !src_n->definition)
 	continue;
 
       if (!switched)
@@ -6724,20 +6724,20 @@ default_binds_local_p_1 (const_tree exp, int shlib)
       && (TREE_STATIC (exp) || DECL_EXTERNAL (exp)))
     {
       struct varpool_node *vnode = varpool_get_node (exp);
-      if (vnode && resolution_local_p (vnode->symbol.resolution))
+      if (vnode && resolution_local_p (vnode->resolution))
 	resolved_locally = true;
       if (vnode
-	  && resolution_to_local_definition_p (vnode->symbol.resolution))
+	  && resolution_to_local_definition_p (vnode->resolution))
 	resolved_to_local_def = true;
     }
   else if (TREE_CODE (exp) == FUNCTION_DECL && TREE_PUBLIC (exp))
     {
       struct cgraph_node *node = cgraph_get_node (exp);
       if (node
-	  && resolution_local_p (node->symbol.resolution))
+	  && resolution_local_p (node->resolution))
 	resolved_locally = true;
       if (node
-	  && resolution_to_local_definition_p (node->symbol.resolution))
+	  && resolution_to_local_definition_p (node->resolution))
 	resolved_to_local_def = true;
     }
 
@@ -6818,15 +6818,15 @@ decl_binds_to_current_def_p (tree decl)
     {
       struct varpool_node *vnode = varpool_get_node (decl);
       if (vnode
-	  && vnode->symbol.resolution != LDPR_UNKNOWN)
-	return resolution_to_local_definition_p (vnode->symbol.resolution);
+	  && vnode->resolution != LDPR_UNKNOWN)
+	return resolution_to_local_definition_p (vnode->resolution);
     }
   else if (TREE_CODE (decl) == FUNCTION_DECL)
     {
       struct cgraph_node *node = cgraph_get_node (decl);
       if (node
-	  && node->symbol.resolution != LDPR_UNKNOWN)
-	return resolution_to_local_definition_p (node->symbol.resolution);
+	  && node->resolution != LDPR_UNKNOWN)
+	return resolution_to_local_definition_p (node->resolution);
     }
   /* Otherwise we have to assume the worst for DECL_WEAK (hidden weaks
      binds locally but still can be overwritten), DECL_COMMON (can be merged
diff --git a/gcc/varpool.c b/gcc/varpool.c
index 2eb1fc1..2db666a 100644
--- a/gcc/varpool.c
+++ b/gcc/varpool.c
@@ -135,7 +135,7 @@ struct varpool_node *
 varpool_create_empty_node (void)
 {   
   struct varpool_node *node = ggc_alloc_cleared_varpool_node ();
-  node->symbol.type = SYMTAB_VARIABLE;
+  node->type = SYMTAB_VARIABLE;
   return node;
 }   
 
@@ -149,8 +149,8 @@ varpool_node_for_decl (tree decl)
     return node;
 
   node = varpool_create_empty_node ();
-  node->symbol.decl = decl;
-  symtab_register_node ((symtab_node)node);
+  node->decl = decl;
+  symtab_register_node (node);
   return node;
 }
 
@@ -160,15 +160,15 @@ varpool_remove_node (struct varpool_node *node)
 {
   tree init;
   varpool_call_node_removal_hooks (node);
-  symtab_unregister_node ((symtab_node)node);
+  symtab_unregister_node (node);
 
   /* Because we remove references from external functions before final compilation,
      we may end up removing useful constructors.
      FIXME: We probably want to trace boundaries better.  */
-  if ((init = ctor_for_folding (node->symbol.decl)) == error_mark_node)
+  if ((init = ctor_for_folding (node->decl)) == error_mark_node)
     varpool_remove_initializer (node);
   else
-    DECL_INITIAL (node->symbol.decl) = init;
+    DECL_INITIAL (node->decl) = init;
   ggc_free (node);
 }
 
@@ -176,10 +176,10 @@ varpool_remove_node (struct varpool_node *node)
 void
 varpool_remove_initializer (struct varpool_node *node)
 {
-  if (DECL_INITIAL (node->symbol.decl)
-      && !DECL_IN_CONSTANT_POOL (node->symbol.decl)
+  if (DECL_INITIAL (node->decl)
+      && !DECL_IN_CONSTANT_POOL (node->decl)
       /* Keep vtables for BINFO folding.  */
-      && !DECL_VIRTUAL_P (node->symbol.decl)
+      && !DECL_VIRTUAL_P (node->decl)
       /* FIXME: http://gcc.gnu.org/PR55395 */
       && debug_info_level == DINFO_LEVEL_NONE
       /* When doing declaration merging we have duplicate
@@ -187,26 +187,26 @@ varpool_remove_initializer (struct varpool_node *node)
 	 the boides, or we will end up remiving
 	 wrong one.  */
       && cgraph_state != CGRAPH_LTO_STREAMING)
-    DECL_INITIAL (node->symbol.decl) = error_mark_node;
+    DECL_INITIAL (node->decl) = error_mark_node;
 }
 
 /* Dump given cgraph node.  */
 void
 dump_varpool_node (FILE *f, struct varpool_node *node)
 {
-  dump_symtab_base (f, (symtab_node)node);
+  dump_symtab_base (f, node);
   fprintf (f, "  Availability: %s\n",
 	   cgraph_function_flags_ready
 	   ? cgraph_availability_names[cgraph_variable_initializer_availability (node)]
 	   : "not-ready");
   fprintf (f, "  Varpool flags:");
-  if (DECL_INITIAL (node->symbol.decl))
+  if (DECL_INITIAL (node->decl))
     fprintf (f, " initialized");
   if (node->output)
     fprintf (f, " output");
-  if (TREE_READONLY (node->symbol.decl))
+  if (TREE_READONLY (node->decl))
     fprintf (f, " read-only");
-  if (ctor_for_folding (node->symbol.decl) != error_mark_node)
+  if (ctor_for_folding (node->decl) != error_mark_node)
     fprintf (f, " const-value-known");
   fprintf (f, "\n");
 }
@@ -275,7 +275,7 @@ ctor_for_folding (tree decl)
   if (node)
     {
       real_node = varpool_variable_node (node);
-      real_decl = real_node->symbol.decl;
+      real_decl = real_node->decl;
     }
   else
     real_decl = decl;
@@ -292,7 +292,7 @@ ctor_for_folding (tree decl)
       if (lookup_attribute ("weakref", DECL_ATTRIBUTES (decl)))
 	{
 	  node = varpool_alias_target (node);
-	  decl = node->symbol.decl;
+	  decl = node->decl;
 	}
     }
 
@@ -342,7 +342,7 @@ varpool_add_new_variable (tree decl)
   node = varpool_node_for_decl (decl);
   varpool_call_variable_insertion_hooks (node);
   if (varpool_externally_visible_p (node))
-    node->symbol.externally_visible = true;
+    node->externally_visible = true;
 }
 
 /* Return variable availability.  See cgraph.h for description of individual
@@ -351,14 +351,14 @@ enum availability
 cgraph_variable_initializer_availability (struct varpool_node *node)
 {
   gcc_assert (cgraph_function_flags_ready);
-  if (!node->symbol.definition)
+  if (!node->definition)
     return AVAIL_NOT_AVAILABLE;
-  if (!TREE_PUBLIC (node->symbol.decl))
+  if (!TREE_PUBLIC (node->decl))
     return AVAIL_AVAILABLE;
-  if (DECL_IN_CONSTANT_POOL (node->symbol.decl)
-      || DECL_VIRTUAL_P (node->symbol.decl))
+  if (DECL_IN_CONSTANT_POOL (node->decl)
+      || DECL_VIRTUAL_P (node->decl))
     return AVAIL_AVAILABLE;
-  if (node->symbol.alias && node->symbol.weakref)
+  if (node->alias && node->weakref)
     {
       enum availability avail;
 
@@ -369,8 +369,8 @@ cgraph_variable_initializer_availability (struct varpool_node *node)
   /* If the variable can be overwritten, return OVERWRITABLE.  Takes
      care of at least one notable extension - the COMDAT variables
      used to share template instantiations in C++.  */
-  if (decl_replaceable_p (node->symbol.decl)
-      || DECL_EXTERNAL (node->symbol.decl))
+  if (decl_replaceable_p (node->decl)
+      || DECL_EXTERNAL (node->decl))
     return AVAIL_OVERWRITABLE;
   return AVAIL_AVAILABLE;
 }
@@ -378,24 +378,24 @@ cgraph_variable_initializer_availability (struct varpool_node *node)
 void
 varpool_analyze_node (struct varpool_node *node)
 {
-  tree decl = node->symbol.decl;
+  tree decl = node->decl;
 
   /* When reading back varpool at LTO time, we re-construct the queue in order
      to have "needed" list right by inserting all needed nodes into varpool.
      We however don't want to re-analyze already analyzed nodes.  */
-  if (!node->symbol.analyzed)
+  if (!node->analyzed)
     {
       gcc_assert (!in_lto_p || cgraph_function_flags_ready);
       /* Compute the alignment early so function body expanders are
 	 already informed about increased alignment.  */
       align_variable (decl, 0);
     }
-  if (node->symbol.alias)
+  if (node->alias)
     symtab_resolve_alias
-       ((symtab_node) node, (symtab_node) varpool_get_node (node->symbol.alias_target));
+       (node, varpool_get_node (node->alias_target));
   else if (DECL_INITIAL (decl))
-    record_references_in_initializer (decl, node->symbol.analyzed);
-  node->symbol.analyzed = true;
+    record_references_in_initializer (decl, node->analyzed);
+  node->analyzed = true;
 }
 
 /* Assemble thunks and aliases associated to NODE.  */
@@ -405,12 +405,12 @@ assemble_aliases (struct varpool_node *node)
 {
   int i;
   struct ipa_ref *ref;
-  for (i = 0; ipa_ref_list_referring_iterate (&node->symbol.ref_list, i, ref); i++)
+  for (i = 0; ipa_ref_list_referring_iterate (&node->ref_list, i, ref); i++)
     if (ref->use == IPA_REF_ALIAS)
       {
 	struct varpool_node *alias = ipa_ref_referring_varpool_node (ref);
-	do_assemble_alias (alias->symbol.decl,
-			   DECL_ASSEMBLER_NAME (node->symbol.decl));
+	do_assemble_alias (alias->decl,
+			   DECL_ASSEMBLER_NAME (node->decl));
 	assemble_aliases (alias);
       }
 }
@@ -420,11 +420,11 @@ assemble_aliases (struct varpool_node *node)
 bool
 varpool_assemble_decl (struct varpool_node *node)
 {
-  tree decl = node->symbol.decl;
+  tree decl = node->decl;
 
   /* Aliases are outout when their target is produced or by
      output_weakrefs.  */
-  if (node->symbol.alias)
+  if (node->alias)
     return false;
 
   /* Constant pool is output from RTL land when the reference
@@ -448,12 +448,12 @@ varpool_assemble_decl (struct varpool_node *node)
 		       && TREE_CODE (decl) == VAR_DECL
 		       && !DECL_HAS_VALUE_EXPR_P (decl));
 
-  if (!node->symbol.in_other_partition
+  if (!node->in_other_partition
       && !DECL_EXTERNAL (decl))
     {
       assemble_variable (decl, 0, 1, 0);
       gcc_assert (TREE_ASM_WRITTEN (decl));
-      node->symbol.definition = true;
+      node->definition = true;
       assemble_aliases (node);
       return true;
     }
@@ -467,10 +467,10 @@ varpool_assemble_decl (struct varpool_node *node)
 static void
 enqueue_node (struct varpool_node *node, struct varpool_node **first)
 {
-  if (node->symbol.aux)
+  if (node->aux)
     return;
   gcc_checking_assert (*first);
-  node->symbol.aux = *first;
+  node->aux = *first;
   *first = node;
 }
 
@@ -494,11 +494,11 @@ varpool_remove_unreferenced_decls (void)
     fprintf (cgraph_dump_file, "Trivially needed variables:");
   FOR_EACH_DEFINED_VARIABLE (node)
     {
-      if (node->symbol.analyzed
+      if (node->analyzed
 	  && (!varpool_can_remove_if_no_refs (node)
 	      /* We just expanded all function bodies.  See if any of
 		 them needed the variable.  */
-	      || DECL_RTL_SET_P (node->symbol.decl)))
+	      || DECL_RTL_SET_P (node->decl)))
 	{
 	  enqueue_node (node, &first);
           if (cgraph_dump_file)
@@ -508,27 +508,27 @@ varpool_remove_unreferenced_decls (void)
   while (first != (struct varpool_node *)(void *)1)
     {
       node = first;
-      first = (struct varpool_node *)first->symbol.aux;
+      first = (struct varpool_node *)first->aux;
 
-      if (node->symbol.same_comdat_group)
+      if (node->same_comdat_group)
 	{
 	  symtab_node next;
-	  for (next = node->symbol.same_comdat_group;
-	       next != (symtab_node)node;
-	       next = next->symbol.same_comdat_group)
+	  for (next = node->same_comdat_group;
+	       next != node;
+	       next = next->same_comdat_group)
 	    {
 	      varpool_node *vnext = dyn_cast <varpool_node> (next);
-	      if (vnext && vnext->symbol.analyzed)
+	      if (vnext && vnext->analyzed)
 		enqueue_node (vnext, &first);
 	    }
 	}
-      for (i = 0; ipa_ref_list_reference_iterate (&node->symbol.ref_list, i, ref); i++)
+      for (i = 0; ipa_ref_list_reference_iterate (&node->ref_list, i, ref); i++)
 	{
 	  varpool_node *vnode = dyn_cast <varpool_node> (ref->referred);
 	  if (vnode
-	      && (!DECL_EXTERNAL (ref->referred->symbol.decl)
-		  || vnode->symbol.alias)
-	      && vnode->symbol.analyzed)
+	      && (!DECL_EXTERNAL (ref->referred->decl)
+		  || vnode->alias)
+	      && vnode->analyzed)
 	    enqueue_node (vnode, &first);
 	}
     }
@@ -537,7 +537,7 @@ varpool_remove_unreferenced_decls (void)
   for (node = varpool_first_defined_variable (); node; node = next)
     {
       next = varpool_next_defined_variable (node);
-      if (!node->symbol.aux)
+      if (!node->aux)
 	{
           if (cgraph_dump_file)
 	    fprintf (cgraph_dump_file, " %s", varpool_node_asm_name (node));
@@ -555,14 +555,14 @@ varpool_remove_unreferenced_decls (void)
 void
 varpool_finalize_named_section_flags (struct varpool_node *node)
 {
-  if (!TREE_ASM_WRITTEN (node->symbol.decl)
-      && !node->symbol.alias
-      && !node->symbol.in_other_partition
-      && !DECL_EXTERNAL (node->symbol.decl)
-      && TREE_CODE (node->symbol.decl) == VAR_DECL
-      && !DECL_HAS_VALUE_EXPR_P (node->symbol.decl)
-      && DECL_SECTION_NAME (node->symbol.decl))
-    get_variable_section (node->symbol.decl, false);
+  if (!TREE_ASM_WRITTEN (node->decl)
+      && !node->alias
+      && !node->in_other_partition
+      && !DECL_EXTERNAL (node->decl)
+      && TREE_CODE (node->decl) == VAR_DECL
+      && !DECL_HAS_VALUE_EXPR_P (node->decl)
+      && DECL_SECTION_NAME (node->decl))
+    get_variable_section (node->decl, false);
 }
 
 /* Output all variables enqueued to be assembled.  */
@@ -607,7 +607,7 @@ add_new_static_var (tree type)
   new_node = varpool_node_for_decl (new_decl);
   varpool_finalize_decl (new_decl);
 
-  return new_node->symbol.decl;
+  return new_node->decl;
 }
 
 /* Attempt to mark ALIAS as an alias to DECL.  Return TRUE if successful.
@@ -621,11 +621,11 @@ varpool_create_variable_alias (tree alias, tree decl)
   gcc_assert (TREE_CODE (decl) == VAR_DECL);
   gcc_assert (TREE_CODE (alias) == VAR_DECL);
   alias_node = varpool_node_for_decl (alias);
-  alias_node->symbol.alias = true;
-  alias_node->symbol.definition = true;
-  alias_node->symbol.alias_target = decl;
+  alias_node->alias = true;
+  alias_node->definition = true;
+  alias_node->alias_target = decl;
   if (lookup_attribute ("weakref", DECL_ATTRIBUTES (alias)) != NULL)
-    alias_node->symbol.weakref = true;
+    alias_node->weakref = true;
   return alias_node;
 }
 
@@ -642,15 +642,15 @@ varpool_extra_name_alias (tree alias, tree decl)
   return NULL;
 #endif
   alias_node = varpool_create_variable_alias (alias, decl);
-  alias_node->symbol.cpp_implicit_alias = true;
+  alias_node->cpp_implicit_alias = true;
 
   /* Extra name alias mechanizm creates aliases really late
      via DECL_ASSEMBLER_NAME mechanizm.
      This is unfortunate because they are not going through the
      standard channels.  Ensure they get output.  */
   if (cpp_implicit_aliases_done)
-    symtab_resolve_alias ((symtab_node)alias_node,
-			  (symtab_node)varpool_node_for_decl (decl));
+    symtab_resolve_alias (alias_node,
+			  varpool_node_for_decl (decl));
   return alias_node;
 }
 
@@ -669,7 +669,7 @@ varpool_for_node_and_aliases (struct varpool_node *node,
 
   if (callback (node, data))
     return true;
-  for (i = 0; ipa_ref_list_referring_iterate (&node->symbol.ref_list, i, ref); i++)
+  for (i = 0; ipa_ref_list_referring_iterate (&node->ref_list, i, ref); i++)
     if (ref->use == IPA_REF_ALIAS)
       {
 	struct varpool_node *alias = ipa_ref_referring_varpool_node (ref);
-- 
1.7.11.7

